package com.jjt.emp.service;

import java.util.Date;
import java.util.List;
import com.jjt.emp.domain.TwinEmpCalc;

/**
 * 员工产量统计Service接口
 *
 * @author wukai
 * @date 2025-01-18
 */
public interface ITwinEmpCalcService {
    /**
     * 查询员工产量统计
     *
     * @param calcId 员工产量统计主键
     * @return 员工产量统计
     */
    public TwinEmpCalc selectTwinEmpCalcByCalcId(Long calcId);

    /**
     * 查询员工产量统计列表
     *
     * @param twinEmpCalc 员工产量统计
     * @return 员工产量统计集合
     */
    public List<TwinEmpCalc> selectTwinEmpCalcList(TwinEmpCalc twinEmpCalc);

    /**
     * 新增员工产量统计
     *
     * @param twinEmpCalc 员工产量统计
     * @return 结果
     */
    public int insertTwinEmpCalc(TwinEmpCalc twinEmpCalc);

    /**
     * 修改员工产量统计
     *
     * @param twinEmpCalc 员工产量统计
     * @return 结果
     */
    public int updateTwinEmpCalc(TwinEmpCalc twinEmpCalc);

    /**
     * 批量删除员工产量统计
     *
     * @param calcIds 需要删除的员工产量统计主键集合
     * @return 结果
     */
    public int deleteTwinEmpCalcByCalcIds(Long[] calcIds);

    /**
     * 删除员工产量统计信息
     *
     * @param calcId 员工产量统计主键
     * @return 结果
     */
    public int deleteTwinEmpCalcByCalcId(Long calcId);

    /**
     * 按日统计
     *
     * @param date 日期
     * @return 结果
     */
    int calc(Date date);
    /**
     * 按日查询
     *
     * @param date 日期
     * @return 结果
     */
    List<TwinEmpCalc> selectTwinEmpCalcListByDate(Date date);
    /**
     * 按月查询
     *
     * @param month 月份
     * @return 结果
     */
    List<TwinEmpCalc> selectTwinEmpCalcListByMonth(String  month);
    /**
     * 按日统计,从MES同步过来的
     *
     * @param date 日期
     * @return 结果
     */
    void calcNew(Date date);
}
